namespace MauiTestApp.Pages;

public partial class SIGPage : ContentPage
{
	public SIGPage()
	{
		InitializeComponent();

		Binder.OnDataUpdate += OnGraphUpdate;
	}

	private void OnGraphUpdate(object? sender, EventArgs e)
	{
		KeypairGraph.Update(Binder.KeypairRuns);
		KeypairCanvas.Invalidate();
		SignGraph.Update(Binder.SignRuns);
		SignCanvas.Invalidate();
	}
}